#include <string.h>
#include <scmRTOS.h>

#define  Pr3_Size       120 //100
#define  Pr3_StackSize  32  //80

//------------------------------------------------------------------------------
//ADC Data transfer to PC
//------------------------------------------------------------------------------
typedef OS::process<OS::pr2, Pr3_Size, Pr3_StackSize> TProc3;
template<> void TProc3::exec();
TProc3  Proc3;

//Process number 3, Priority 3
template<> void TProc3::exec()
{
  //Only for test
  unsigned char *pPr = (unsigned char*)&Proc3;
  memset(pPr+6, 0xAA, sizeof(Proc3)-Pr3_StackSize-6);  
  
  //----- Declarations  
  //----- Init process data  
  //----- Execute process in loop 
  for(;;)
    { 
      sleep(3000);
    } 
}
